import { Dict } from 'zhin';
export interface Message {
    raw_message: string;
    user_id: number;
    message_id: string;
    nickname?: string;
    guild_id?: string;
    guild_name?: string;
    channel_id?: string;
    channel_name?: string;
    group_id?: number;
    permissions?: string[];
    detail_type: 'group' | 'private' | 'guild';
    message: string | (Message.Segment | string)[];
}
export declare namespace Message {
    type Segment = {
        type: string;
        data: Dict;
    };
    type Ret = null;
    type Sendable = string | Segment | (string | Segment)[];
    function parseSegmentsFromCqCode(template: string): Segment[];
    function formatSegments(message: Sendable): Segment[];
    function formatToString(message: string | (Segment | string)[]): string;
}
